import 'package:json_annotation/json_annotation.dart';

import 'package:pshared/data/dto/date_time.dart';

part 'storable.g.dart';


@JsonSerializable()
class StorableDTO {
  final String id;

  @UtcIso8601Converter()
  final DateTime createdAt;

  @UtcIso8601Converter()
  final DateTime updatedAt;

  const StorableDTO({
    required this.id,
    required this.createdAt,
    required this.updatedAt,
  });

  factory StorableDTO.fromJson(Map<String, dynamic> json) => _$StorableDTOFromJson(json);
  Map<String, dynamic> toJson() => _$StorableDTOToJson(this);
}